Package org.apache.commons.math3.optim

# Interface OptimizationProblem<PAIR>

Type Parameters:
  `PAIR` - The type of value the `convergence checker` will operate on. It should include the value of the model function and point where it was evaluated.

All Known Subinterfaces:
  `LeastSquaresProblem`

All Known Implementing Classes:
  `AbstractOptimizationProblem`, `LeastSquaresAdapter`

public interface OptimizationProblem<PAIR>
Common settings for all optimization problems. Includes divergence and convergence criteria.

Since:
  3.3

## Method Summary

Modifier and Type
Method
Description
`ConvergenceChecker<PAIR>`
`getConvergenceChecker()`
Gets the convergence checker.
`Incrementor`
`getEvaluationCounter()`
Get a independent Incrementor that counts up to the maximum number of evaluations and then throws an exception.
`Incrementor`
`getIterationCounter()`
Get a independent Incrementor that counts up to the maximum number of iterations and then throws an exception.

## Method Details

### getEvaluationCounter

Incrementor getEvaluationCounter()
Get a independent Incrementor that counts up to the maximum number of evaluations and then throws an exception.

Returns:
  a counter for the evaluations.

### getIterationCounter

Incrementor getIterationCounter()
Get a independent Incrementor that counts up to the maximum number of iterations and then throws an exception.

Returns:
  a counter for the evaluations.

### getConvergenceChecker

ConvergenceChecker<PAIR> getConvergenceChecker()
Gets the convergence checker.

Returns:
  the object used to check for convergence.